# Generated by Django 5.0.6 on 2024-05-19 23:54

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cycle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cycle', models.CharField(max_length=100, unique=True)),
                ('base_dir', models.CharField(default='data', max_length=255)),
                ('year_code', models.CharField(blank=True, max_length=10, null=True)),
                ('base_url', models.URLField(default='https://wwwn.cdc.gov/Nchs/Nhanes')),
                ('dataset_url_pattern', models.CharField(default='%s/%s/%s_%s', max_length=255)),
            ],
            options={
                'ordering': ['cycle'],
            },
        ),
        migrations.CreateModel(
            name='Dataset',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dataset', models.CharField(max_length=100)),
                ('description', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Field',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field', models.CharField(max_length=100)),
                ('internal_id', models.CharField(max_length=100, unique=True)),
                ('description', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('group', models.CharField(max_length=100)),
                ('description', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='SystemConfig',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('config_key', models.CharField(max_length=100, unique=True)),
                ('config_value', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Data',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sample', models.IntegerField()),
                ('value', models.CharField(max_length=255)),
                ('cycle', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nhanes.cycle')),
                ('dataset', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nhanes.dataset')),
                ('field', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nhanes.field')),
            ],
        ),
        migrations.AddField(
            model_name='dataset',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nhanes.group'),
        ),
        migrations.CreateModel(
            name='DatasetControl',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('metadata_url', models.URLField(blank=True, null=True)),
                ('description', models.JSONField(blank=True, null=True)),
                ('has_special_year_code', models.BooleanField(default=False)),
                ('special_year_code', models.CharField(blank=True, max_length=10, null=True)),
                ('is_download', models.BooleanField(default=False)),
                ('status', models.CharField(choices=[('pending', 'Pending'), ('complete', 'Complete'), ('error', 'Error'), ('delete', 'Delete')], default='pending', max_length=20)),
                ('cycle', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nhanes.cycle')),
                ('dataset', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nhanes.dataset')),
            ],
            options={
                'unique_together': {('dataset', 'cycle')},
            },
        ),
        migrations.CreateModel(
            name='FieldCycle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('variable_name', models.CharField(max_length=100)),
                ('sas_label', models.CharField(max_length=100)),
                ('english_text', models.TextField()),
                ('target', models.CharField(max_length=100)),
                ('type', models.CharField(max_length=100)),
                ('value_table', models.JSONField()),
                ('cycle', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nhanes.cycle')),
                ('field', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nhanes.field')),
            ],
            options={
                'unique_together': {('field', 'cycle')},
            },
        ),
    ]
